﻿////////////////////////////////////////////////////////////////////////////////
//
// AudioscrobblerReader
//   ReaderContextMenu.as
//   Rev. 1.1 (2005/9/25)
// 
// by nomura masayuki
// http://www.a3size.com/AudioscrobblerReader/
//
////////////////////////////////////////////////////////////////////////////////
//
// コンテキストメニュークラス
// コンテキストメニューの内容を定義します
//   jump to PAGE : last.fmの、ユーザーのページを開く
//   about        : 一次配布先(http://www.a3size.com/AudioscrobblerReader/)を開く
//   version ?.?  : バージョン表記
//
////////////////////////////////////////////////////////////////////////////////
import com.a3size.audioscrobblerReader.*;

class com.a3size.audioscrobblerReader.ReaderContextMenu extends ContextMenu
{
	static private var URI_ABOUT:String = "http://www.a3size.com/AudioscrobblerReader/";
	
	function ReaderContextMenu()
	{
		super();
		
		// コンテキストメニューの禁止
		this.hideBuiltInItems();

		// カスタムメニュー
		var contextMenuJumpURI = new ContextMenuItem("jump to USER'S PAGE", jumpToURI);
		var contextMenuAbout = new ContextMenuItem("about", jumpToAbout, true);
		var contextMenuCopyright = new ContextMenuItem("version " + _global.AUDIOSCROBBLERREADER_VERSION, showVersion, false, false);
		this.customItems.push(contextMenuJumpURI);
		this.customItems.push(contextMenuCopyURI);
		this.customItems.push(contextMenuAbout);
		this.customItems.push(contextMenuCopyright);
	}
	
	function jumpToURI():Void
	{
		if (_global.linkURI.length > 0) getURL(_global.linkURI, "_blank");
	}

	function jumpToAbout():Void
	{
		getURL(URI_ABOUT, "_blank");
	}
	
	function showVersion():Void
	{
		// ダミー
	}
}